{% extends "base.html" %}

{% load blog_tags %}

{% load static %}

{% block title %}My Blog{% endblock %}

{% block content %}


    <div class="pb-10">

        <div class="row justify-content-md-center">
            
            <!-- visualisation user et données blog -->
            <div class="col col-lg-4">
                
                <!-- visualisation du user -->
                <div class="card mb-5">

                    <div class="card-header position-relative mb-7 " style="min-height: 150px; ">

                        <div class="bg-holder rounded-top" style="background-image: linear-gradient(0deg, #000000 -3%, rgba(0, 0, 0, 0) 23%), url(../../../../static/assets/img/generic/11.jpg)">
                        </div>
                        <label class="avatar avatar-4xl feed-avatar-profile cursor-pointer">
                            {% if user.is_authenticated %}
                                <img class="rounded-circle img-thumbnail shadow-sm border-0" src="{% static "assets/img/team/" %}{{ user.id }}.webp" alt="image user">
                            {% else %}
                                <img class="rounded-circle img-thumbnail shadow-sm border-0" src="{% static "assets/img/team/avatar.webp" %}" alt="image user">
                            {% endif %}
                        </label>

                    </div>


                    <div class="card-body">

                        <div class="avatar avatar-name">
                            <h3 class="w-bold mb-0 text-body-emphasis">
                                {% if user.is_authenticated %}
                                    {{ user.username|lower|capfirst }}
                                {% else %}
                                    unauthenticated user
                                {% endif %}
                            </h3>
                        </div>

                    </div>


                    <div class="card-footer">
                        
                            {% if user.is_authenticated %}

                                <!-- afficher 3 posts du user -->
                                <div>
                                    Some of my posts :
                                    <p></p>
                                    <ul>
                                        {% for post_u in post_user %}
                                        <li>
                                            <a href="{{ post_u.get_absolute_url }}">
                                                {{ post_u.title }}
                                            </a>
                                        </li>
                                        {% endfor %}
                                    </ul>
                                </div>

                                <!-- permettre de publier des posts en status 'brouillon' ( DF => PB ) -->
                                <div>
                                    Publish draft posts :
                                    <p></p>
                                    {% publish_draft_posts user %}

                                </div>

                            {% else %}
                                <input class="btn btn-primary px-6 px-sm-8" type="submit" value="Sign In">
                            {% endif %}

                    </div>
                       

                <!-- fin card mb-5 -->
                </div>


                <!-- visualisation des données du blog -->
                <div class="card mb-5">


                    <div class="card-header">

                        <h3>Latest posts</h3>
                        {% show_latest_posts 4 %}

                    </div>

                    
                    <div class="card-body mb-4">

                        <h3> Latest comments </h3>
                        {% show_latest_comments 5 %}
                        

                    </div>


                </div>
                    
            <!-- fin visualisation user et données blog -->
            </div>
            
            
            <!-- visualisation des posts -->
            <div class="col-lg-7">
                
                <!-- formulaire pour créer un post -->
                <div>
                    {% include "blog/post/includes/post_form.html" %}
                </div>
                

                <!-- balise invisible pour recentrer sur les posts -->
                
                {% if tag %}
                <h4 class="mt-7">
                    <a> Tag : {{ tag }} </a> -
                    <a href="{% url 'blog:post_list' %}"> Cancel tag filter </a>
                </h4>
                {% endif %}

                <a id="top-post"></a>
                
                <!-- affichage des posts -->
                {% for post, comments in comment_dict.items %}
                
                    {% include 'blog/post/detail.html' %}
                    
                {% endfor %}
                
                
                {% include "pagination.html" with page=posts %}
                
                <!-- fin visualisation posts -->
            </div>
            
            <!-- fin ligne -->
        </div> 
        
        <!-- pb 10 -->
    </div>

    <a  href="#top-page"
        class="btn p-0 btn-support-chat bg-info"
        style="position: fixed; bottom: 50px; right: 10px;"
        >
        <span class="fs-3 btn-text text-white"> ⌃ </span>
    </a>
        
{% endblock %}